<?php
/**
 * Multipurpose Lawyer: Block Patterns
 *
 * @package Multipurpose Lawyer
 * @since   1.0.0
 */

/**
 * Register Block Pattern Category.
 */
if ( function_exists( 'register_block_pattern_category' ) ) {

	register_block_pattern_category(
		'multipurpose-lawyer',
		array( 'label' => __( 'Multipurpose Lawyer', 'multipurpose-lawyer' ) )
	);
}

/**
 * Register Block Patterns.
 */
if ( function_exists( 'register_block_pattern' ) ) {
	register_block_pattern(
		'multipurpose-lawyer/banner-section',
		array(
			'title'      => __( 'Banner Section', 'multipurpose-lawyer' ),
			'categories' => array( 'multipurpose-lawyer' ),
			'content'    => "<!-- wp:cover {\"url\":\"" . esc_url(get_template_directory_uri()) . "/block-patterns/images/banner.png\",\"id\":228,\"dimRatio\":80,\"customOverlayColor\":\"#54595f\",\"align\":\"full\",\"className\":\"banner-section\"} -->\n<div class=\"wp-block-cover alignfull banner-section\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-80 has-background-dim\" style=\"background-color:#54595f\"></span><img class=\"wp-block-cover__image-background wp-image-228\" alt=\"\" src=\"" . esc_url(get_template_directory_uri()) . "/block-patterns/images/banner.png\" data-object-fit=\"cover\"/><div class=\"wp-block-cover__inner-container\"><!-- wp:columns {\"align\":\"full\"} -->\n<div class=\"wp-block-columns alignfull\"><!-- wp:column {\"verticalAlignment\":\"center\",\"className\":\"mx-5 banner-section-column\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center mx-5 banner-section-column\"><!-- wp:heading {\"textAlign\":\"right\",\"style\":{\"typography\":{\"fontSize\":\"40px\",\"textTransform\":\"uppercase\"}},\"textColor\":\"white\"} -->\n<h2 class=\"has-text-align-right has-white-color has-text-color\" style=\"font-size:40px;text-transform:uppercase\">lorem ipsum&nbsp;is simply a dummy text.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"right\",\"style\":{\"typography\":{\"fontSize\":\"14px\"}},\"textColor\":\"white\"} -->\n<p class=\"has-text-align-right has-white-color has-text-color\" style=\"font-size:14px\"><strong>Lorem Ipsum</strong> is simply dummy text for the printing and typesetting industry. The Lorem Ipsum has been the industry's standard dummy text ever since the 1500s</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons {\"layout\":{\"type\":\"flex\",\"justifyContent\":\"right\"}} -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"style\":{\"border\":{\"radius\":\"4px\"}}} -->\n<div class=\"wp-block-button\"><a class=\"wp-block-button__link\" style=\"border-radius:4px\">READ MORE</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"bottom\"} -->\n<div class=\"wp-block-column is-vertically-aligned-bottom\"><!-- wp:image {\"id\":224,\"width\":611,\"height\":481,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full is-resized\"><img src=\"" . esc_url(get_template_directory_uri()) . "/block-patterns/images/banner img2.png\" alt=\"\" class=\"wp-image-224\" width=\"611\" height=\"481\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div></div>\n<!-- /wp:cover -->",
		)
	);

	register_block_pattern(
		'multipurpose-lawyer/practice-section',
		array(
			'title'      => __( 'Practice Section', 'multipurpose-lawyer' ),
			'categories' => array( 'multipurpose-lawyer' ),
			'content'    => "<!-- wp:group {\"align\":\"full\",\"style\":{\"color\":{\"background\":\"#60d158\"}},\"className\":\"practice-section-next\"} -->\n<div class=\"wp-block-group alignfull practice-section-next has-background\" style=\"background-color:#60d158\"><!-- wp:columns {\"style\":{\"color\":{\"background\":\"#60d158\"}},\"className\":\"practice-section-class py-3\"} -->\n<div class=\"wp-block-columns practice-section-class py-3 has-background\" style=\"background-color:#60d158\"><!-- wp:column {\"width\":\"10%\",\"className\":\"text-md-start text-center\"} -->\n<div class=\"wp-block-column text-md-start text-center\" style=\"flex-basis:10%\"><!-- wp:image {\"id\":314,\"width\":107,\"height\":86,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"className\":\"practice-section-img\"} -->\n<figure class=\"wp-block-image size-full is-resized practice-section-img\"><img src=\"" . esc_url(get_template_directory_uri()) . "/block-patterns/images/top-bar.png\" alt=\"\" class=\"wp-image-314\" width=\"107\" height=\"86\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"66%\",\"className\":\"practice-next-coloum text-md-start text-center\"} -->\n<div class=\"wp-block-column practice-next-coloum text-md-start text-center\" style=\"flex-basis:66%\"><!-- wp:columns {\"className\":\"mb-0\"} -->\n<div class=\"wp-block-columns mb-0\"><!-- wp:column {\"verticalAlignment\":\"center\",\"width\":\"70.66%\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center\" style=\"flex-basis:70.66%\"><!-- wp:heading {\"style\":{\"typography\":{\"textTransform\":\"uppercase\",\"fontSize\":\"14px\"}},\"className\":\"practice-text\"} -->\n<h2 class=\"practice-text\" style=\"font-size:14px;text-transform:uppercase\">The lorem ipsum&nbsp;is simply a dummy text of the printing text.</h2>\n<!-- /wp:heading --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"24.33%\",\"className\":\"justify-content-md-center \"} -->\n<div class=\"wp-block-column justify-content-md-center\" style=\"flex-basis:24.33%\"><!-- wp:buttons {\"layout\":{\"type\":\"flex\"}} -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"style\":{\"border\":{\"radius\":\"4px\"}},\"className\":\"mt-3 text-md-center \",\"fontSize\":\"medium\"} -->\n<div class=\"wp-block-button has-custom-font-size mt-3 text-md-center has-medium-font-size\"><a class=\"wp-block-button__link\" style=\"border-radius:4px\">OUR PRACTICE</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"28%\",\"className\":\"heading-tel-section text-md-start text-center\"} -->\n<div class=\"wp-block-column heading-tel-section text-md-start text-center\" style=\"flex-basis:28%\"><!-- wp:heading {\"style\":{\"typography\":{\"textTransform\":\"uppercase\",\"fontSize\":\"14px\"}},\"className\":\"heading\"} -->\n<h2 class=\"heading\" style=\"font-size:14px;text-transform:uppercase\">Lorem ipsum&nbsp;is simply a dummy text. </h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"className\":\"heading-para\"} -->\n<p class=\"has-text-align-center heading-para\">(12)1234567890</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group -->",
		)
	);
	
	register_block_pattern(
		'multipurpose-lawyer/service-section',
		array(
			'title'      => __( 'Service Section', 'multipurpose-lawyer' ),
			'categories' => array( 'multipurpose-lawyer' ),
			'content'    => "<!-- wp:columns {\"verticalAlignment\":\"top\",\"align\":\"wide\",\"className\":\"main-services-section mx-5  py-5\"} -->\n<div class=\"wp-block-columns alignwide are-vertically-aligned-top main-services-section mx-5  py-5\"><!-- wp:column {\"verticalAlignment\":\"top\",\"width\":\"329px\"} -->\n<div class=\"wp-block-column is-vertically-aligned-top\" style=\"flex-basis:329px\"><!-- wp:image {\"id\":235,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"" . esc_url(get_template_directory_uri()) . "/block-patterns/images/About us.png\" alt=\"\" class=\"wp-image-235\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"top\",\"width\":\"1000px\"} -->\n<div class=\"wp-block-column is-vertically-aligned-top\" style=\"flex-basis:1000px\"><!-- wp:heading {\"style\":{\"typography\":{\"textTransform\":\"uppercase\"}}} -->\n<h2 style=\"text-transform:uppercase\">20-Year Experience</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem Ipsum&nbsp;is simply dummy text for the printing and typesetting industry. The Lorem Ipsum has been the industry's standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p> It has survived not only five centuries, but also the leap into electronic typesetting.&nbsp;remaining essentially unchanged. It was popularised in the 1960s with the release of Letraset sheets containing Lorem Ipsum passages, and more recently with desktop publishing software like Aldus PageMaker including versions of Lorem Ipsum.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"style\":{\"border\":{\"radius\":\"4px\"},\"typography\":{\"fontSize\":\"18px\"}}} -->\n<div class=\"wp-block-button has-custom-font-size\" style=\"font-size:18px\"><a class=\"wp-block-button__link\" style=\"border-radius:4px\">READ MORE</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->",
		)
	);
}